From bfad5f759fbdcbce1c28b66716e9e44cd1101c3a Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Apr 22 2020 23:36:55 +0000
Subject: [PATCH 324/2232] Preserve span on Receiver shorthand `self` token


---

diff --git a/syntax/parse.rs b/syntax/parse.rs
index 71e0c76..bdccbda 100644
--- a/syntax/parse.rs
+++ b/syntax/parse.rs
@@ -182,7 +182,7 @@ fn parse_extern_fn(
                             ampersand: *ampersand,
                             lifetime: lifetime.clone(),
                             mutability: arg.mutability,
-                            var: Token![self](ety.ident.span()),
+                            var: arg.self_token,
                             ty: ety.ident.clone(),
                             shorthand: true,
                         });

